### Function

# Camel mempool_flush

since: 2.32

#### Declaration [src]

    void
    camel_mempool_flush (
      CamelMemPool* pool,
      gint freeall
    )

#### Description [src]

Flush used memory and mark allocated blocks as free.

If `freeall` is `TRUE`, then all allocated blocks are free’d as well. Otherwise only blocks above the threshold are actually freed, and the others are simply marked as empty.

Available since: 2.32

This function is not directly available to language bindings.

#### Parameters

`pool`

  Type: `CamelMemPool`

  A `CamelMemPool`.

  The data is owned by the caller of the function.

`freeall`

  Type: `gint`

  Free all system allocated blocks as well.